nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | Static Public Member Functions | List of all members
nx::sdk::analytics::IUncompressedMediaFrame Class Referenceabstract

`#include <i_uncompressed_media_frame.h>`

Inheritance diagram for nx::sdk::analytics::IUncompressedMediaFrame:

## Public Member Functions
virtual int | planeCount () const =0
virtual int | dataSize (int plane) const =0
virtual const char * | data (int plane) const =0
Public Member Functions inherited from nx::sdk::Interface< IUncompressedMediaFrame, IDataPacket0 >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const

## Static Public Member Functions
static auto | interfaceId ()

## Additional Inherited Members
Protected Member Functions inherited from nx::sdk::Interface< IUncompressedMediaFrame, IDataPacket0 >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)

## Detailed Description

Decoded media frame, e.g. video or audio.

## Member Function Documentation

## ◆ data()

virtual const char* nx::sdk::analytics::IUncompressedMediaFrame::data | ( | int | plane | ) | const
| pure virtual

Parameters

  plane | Index of the plane, in range 0..planeCount() - 1.

Returns
  Pointer to the byte data of the plane, or null if the data is not accessible.

## ◆ dataSize()

virtual int nx::sdk::analytics::IUncompressedMediaFrame::dataSize | ( | int | plane | ) | const
| pure virtual

Parameters

  plane | Index of the plane, in range 0..planeCount() - 1.

Returns
  Number of bytes accessible via data(plane), or 0 if the data is not accessible.

## ◆ planeCount()

virtual int nx::sdk::analytics::IUncompressedMediaFrame::planeCount | ( |  | ) | const
| pure virtual

Returns
  Number of planes which contain raw byte data.

The documentation for this class was generated from the following file:

- src/nx/sdk/analytics/i_uncompressed_media_frame.h